Bug 1247405 - [abrt] dnf: free(): python3.4 killed by SIGABRT
[abrt] dnf: free(): python3.4 killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: librepo (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Mlcoch
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:da30685f6d91ef3d652d1f2ed8e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-27 18:54 EDT by Bill Gianopoulos
Modified: 2017-08-08 08:03 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:03:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (23.53 KB, text/plain)
2015-07-27 18:54 EDT, Bill Gianopoulos
no flags Details
File: cgroup (190 bytes, text/plain)
2015-07-27 18:54 EDT, Bill Gianopoulos
no flags Details
File: core_backtrace (12.93 KB, text/plain)
2015-07-27 18:54 EDT, Bill Gianopoulos
no flags Details
File: dso_list (9.36 KB, text/plain)
2015-07-27 18:54 EDT, Bill Gianopoulos
no flags Details
File: environ (2.02 KB, text/plain)
2015-07-27 18:54 EDT, Bill Gianopoulos
no flags Details
File: limits (1.29 KB, text/plain)
2015-07-27 18:54 EDT, Bill Gianopoulos
no flags Details
File: maps (44.79 KB, text/plain)
2015-07-27 18:54 EDT, Bill Gianopoulos
no flags Details
File: mountinfo (3.45 KB, text/plain)
2015-07-27 18:54 EDT, Bill Gianopoulos
no flags Details
File: namespaces (85 bytes, text/plain)
2015-07-27 18:54 EDT, Bill Gianopoulos
no flags Details
File: open_fds (2.61 KB, text/plain)
2015-07-27 18:54 EDT, Bill Gianopoulos
no flags Details
File: proc_pid_status (1.09 KB, text/plain)
2015-07-27 18:54 EDT, Bill Gianopoulos
no flags Details

  None (edit)
Description Bill Gianopoulos 2015-07-27 18:54:08 EDT
Description of problem:
was running dnf update

Version-Release number of selected component:
dnf-1.0.2-2.fc24

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/python3 -OO /bin/dnf update --nogpg --exclude=xulrunner
crash_function: free
executable:     /usr/bin/python3.4
global_pid:     2542
kernel:         4.2.0-0.rc3.git3.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 free at /lib64/libc.so.6
 #5 Curl_add_buffer_free at http.c:1057
 #6 http_disconnect at http.c:176
 #7 Curl_disconnect at url.c:2761
 #8 ConnectionDone at url.c:3444
 #9 Curl_done at url.c:6093
 #10 multi_runsingle at multi.c:1639
 #11 curl_multi_perform at multi.c:1793
 #12 lr_download at /lib64/librepo.so.0
 #13 lr_download_single_cb at /lib64/librepo.so.0
Comment 1 Bill Gianopoulos 2015-07-27 18:54:11 EDT
Created attachment 1056783 [details]
File: backtrace
Comment 2 Bill Gianopoulos 2015-07-27 18:54:12 EDT
Created attachment 1056784 [details]
File: cgroup
Comment 3 Bill Gianopoulos 2015-07-27 18:54:13 EDT
Created attachment 1056785 [details]
File: core_backtrace
Comment 4 Bill Gianopoulos 2015-07-27 18:54:13 EDT
Created attachment 1056786 [details]
File: dso_list
Comment 5 Bill Gianopoulos 2015-07-27 18:54:14 EDT
Created attachment 1056787 [details]
File: environ
Comment 6 Bill Gianopoulos 2015-07-27 18:54:15 EDT
Created attachment 1056788 [details]
File: limits
Comment 7 Bill Gianopoulos 2015-07-27 18:54:16 EDT
Created attachment 1056789 [details]
File: maps
Comment 8 Bill Gianopoulos 2015-07-27 18:54:17 EDT
Created attachment 1056790 [details]
File: mountinfo
Comment 9 Bill Gianopoulos 2015-07-27 18:54:18 EDT
Created attachment 1056791 [details]
File: namespaces
Comment 10 Bill Gianopoulos 2015-07-27 18:54:19 EDT
Created attachment 1056792 [details]
File: open_fds
Comment 11 Bill Gianopoulos 2015-07-27 18:54:19 EDT
Created attachment 1056793 [details]
File: proc_pid_status
Comment 12 Honza Silhan 2015-08-11 07:40:48 EDT
Tomas, is it possible that this is librepo bug? If not feel free to assign it to us again.
Comment 13 Jan Kurik 2016-02-24 08:29:01 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 14 Fedora End Of Life 2017-07-25 15:03:14 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2017-08-08 08:03:19 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.